Subject: Re: bug#74370: Module aware go build system (for Guix)

From: Jørgen Kvalsvik <[email-masked]>
Date: Tue, 8 Apr 2025 15:41:23 +0200

Hi,

I don't know what happened, but as you point out I never received 
Sharlatan's emails.

Anyways, there is still interest, but the approach I proposed is not 
great. I have since (re)written the module aware build system with much 
better results. I am currently adding a bunch of packages (for my own 
needs) in order to get some experience with it and sand down some rough 
edges, before I plan to resubmit the new build system upstream.

Thanks,
Jørgen

On 4/8/25 15:03, Steve George wrote:
> Hi Jørgen,
> 
> You submitted a module aware go build system, there were some queries about it from Sharlatan as there's been a range of attempts at improving this area. Just making you aware so you can reply if you're still interested:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74370
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74374
> 
> I don't think you were notified as responses have to go to NNNN-submitter for the original reporter to be send the email.
> 
> Thanks,
> 
> Futurile / Steve
> 
>